Opening the iTunes Store.If iTunes doesn’t open, click the iTunes icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator

iTunes is the world's easiest way to organise and add to your digital media collection.

We are unable to find iTunes on your computer. To buy and download VIremote by Throw Lab, get iTunes now.

Do you already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC


By Throw Lab

Open iTunes to buy and download apps.


Control your Virtual Instruments from your iPhone/iPod/iPad.
You can't write LabVIEW code for iOS but you can use this app to control your VIs. All that is needed is a small VI running in the background.

Currently the following outputs are supported:
Keyboard (only standard ASCII US keyboard,not local symbols)
Touch (mouse movement and left button)
Multi-touch (programatic use)
User Interface orientation
Picker (select values from a combo box)
Info and status of the device (Name UDID etc.)

You can also send Notifications to the user while the app is connected and running in the background.

If you make your VIs reentrant you can connect multiple devices. Front Panels doesn't need to be visible.

VIs, examples and more info can be found at:

Tested on LabVIEW 8.6/2010 on Windows XP and Vista and on Mac with LabVIEW 2012.
Requires iOS 4.3 or later.

Before you buy this you can try the free app: VIremoteFree

What's New in Version 2.10

Fixed setting of allowed ui orientations in iOS 6 and later.
Device unique ID now using the allowed vendor identification UUID string (see iOS documentation).


iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4
iPhone Screenshot 5
iPad Screenshot 1
iPad Screenshot 2
iPad Screenshot 3
iPad Screenshot 4
iPad Screenshot 5
View In iTunes
This app is designed for both iPhone and iPad
  • USD 19.99
  • Category: Utilities
  • Updated:
  • Version: 2.10
  • Size: 0.2 MB
  • Language: English
  • Developer:

Compatibility: Requires iOS 4.3 or later. Compatible with iPhone, iPad, and iPod touch.

Customer Ratings

0 0 0 We have not received enough ratings to display an average for the current version of this application.